#version 330

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 velocity;
layout (location = 2) in vec4 color;
layout (location = 3) in float lifeTime;
layout (location = 4) in float size;
layout (location = 5) in int type;
layout (location = 6) in vec4 colorChange;

out vec3 _position;
out vec3 _velocity;
out vec4 _color;
out float _lifeTime;
out float _size;
out int _type;
out vec4 _colorChange;

void main()
{
	_position = position;
	_velocity = velocity;
	_color = color;
	_lifeTime = lifeTime;
	_size = size;
	_type = type;
	_colorChange = colorChange;
}