#version 330 core

layout(location=0) out vec4 outColor;

in vec2 texCoord;
uniform sampler2D texture;

void main()
{
	vec3 color = texture2D(texture,texCoord).rgb * texture2D(texture, texCoord).a;
    outColor = vec4(color, 1.0);
}