#version 330 core

layout(location=0) out vec4 outColor;

in vec2 texCoord;
uniform sampler2D texture;
uniform sampler2D texture2;
uniform sampler2D texture3;

void main()
{
	float r = texture2D(texture, texCoord).r + max(texture2D(texture2, texCoord).r, texture2D(texture3, texCoord).r);
	float g = texture2D(texture, texCoord).g + max(texture2D(texture2, texCoord).g, texture2D(texture3, texCoord).g);
	float b = texture2D(texture, texCoord).b + max(texture2D(texture2, texCoord).b, texture2D(texture3, texCoord).b);
	outColor = vec4(r,g,b,1.0);
}