#version 330 core

layout (location = 0) in vec3 position;
layout (location = 2) in vec4 color;
layout (location = 3) in float lifeTime;
layout (location = 4) in float size;
layout (location = 5) in int type; 

out vec4 _color;
out float _lifeTime;
out float _size;
out int _type; 

void main()
{
   gl_Position = vec4(position, 1.0);
   _color = color;
   _size = size;
   _lifeTime = lifeTime; 
   _type = type;
}