#version 330 core

layout(location=0) out vec4 outColor;

in vec2 texCoord;
uniform sampler2D texture;
uniform sampler2D texture2;

void main()
{
	float r = texture2D(texture, texCoord).r + texture2D(texture2, texCoord).r;
	float g = texture2D(texture, texCoord).g + texture2D(texture2, texCoord).g;
	float b = texture2D(texture, texCoord).b + texture2D(texture2, texCoord).b;
	float a = texture2D(texture, texCoord).a;
	
	outColor = vec4(r,g,b,a);
}